- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_Style;'
    name: 'Style'
    index: 1605
    customTagName: 'style'
    registerForTemplate: yes
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_Style__has_width__Measurement;'
      customTagName: 'width'
      customTagNameCreatesInstanceOf: '&IDC_Measurement;'
    - instance: '&IDR_Style__has_height__Measurement;'
      customTagName: 'height'
      customTagNameCreatesInstanceOf: '&IDC_Measurement;'
    - instance: '&IDR_Style__has_horizontal__Alignment;'
      customTagName: 'horizontalAlignment'
    - instance: '&IDR_Style__has_vertical__Alignment;'
      customTagName: 'verticalAlignment'

  - relationship: '&IDR_Style__has_width__Measurement;'
    index: 24610
    sourceClassId: '&IDC_Style;'
    type: 'has width'
    destinationClassId: '&IDC_Measurement;'
    siblingRelationshipId: '&IDR_Measurement__width_for__Style;'
    singular: yes

  - relationship: '&IDR_Measurement__width_for__Style;'
    index: 24611
    sourceClassId: '&IDC_Measurement;'
    type: 'width for'
    destinationClassId: '&IDC_Style;'
    siblingRelationshipId: '&IDR_Style__has_width__Measurement;'
    singular: no

  - relationship: '&IDR_Style__has_height__Measurement;'
    index: 24612
    sourceClassId: '&IDC_Style;'
    type: 'has height'
    destinationClassId: '&IDC_Measurement;'
    siblingRelationshipId: '&IDR_Measurement__height_for__Style;'
    singular: yes

  - relationship: '&IDR_Measurement__height_for__Style;'
    index: 24613
    sourceClassId: '&IDC_Measurement;'
    type: 'height for'
    destinationClassId: '&IDC_Style;'
    siblingRelationshipId: '&IDR_Style__has_height__Measurement;'
    singular: no

  - relationship: '&IDR_Layout__has__Style;'
    index: 24614
    sourceClassId: '&IDC_Layout;'
    type: 'has'
    destinationClassId: '&IDC_Style;'
    siblingRelationshipId: '&IDR_Style__for__Layout;'
    singular: no

  - relationship: '&IDR_Style__for__Layout;'
    index: 24615
    sourceClassId: '&IDC_Style;'
    type: 'for'
    destinationClassId: '&IDC_Layout;'
    siblingRelationshipId: '&IDR_Layout__has__Style;'
    singular: no




  - relationship: '&IDR_Style__has_horizontal__Alignment;'
    index: 24618
    sourceClassId: '&IDC_Style;'
    type: 'has horizontal'
    destinationClassId: '&IDC_Alignment;'
    siblingRelationshipId: '&IDR_Alignment__horizontal_for__Style;'
    singular: yes

  - relationship: '&IDR_Alignment__horizontal_for__Style;'
    index: 24619
    sourceClassId: '&IDC_Alignment;'
    type: 'horizontal for'
    destinationClassId: '&IDC_Style;'
    siblingRelationshipId: '&IDR_Style__has_horizontal__Alignment;'
    singular: no

  - relationship: '&IDR_Style__has_vertical__Alignment;'
    index: 24620
    sourceClassId: '&IDC_Style;'
    type: 'has vertical'
    destinationClassId: '&IDC_Alignment;'
    siblingRelationshipId: '&IDR_Alignment__vertical_for__Style;'
    singular: yes

  - relationship: '&IDR_Alignment__vertical_for__Style;'
    index: 24621
    sourceClassId: '&IDC_Alignment;'
    type: 'vertical for'
    destinationClassId: '&IDC_Style;'
    siblingRelationshipId: '&IDR_Style__has_vertical__Alignment;'
    singular: no

